# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::GLSLGeometryShader Class Reference

Wraps a GLSL geometry shader to be bound to a GLSL program. More...

`#include <GLSL.hpp>`

Inheritance diagram for vl::GLSLGeometryShader:

List of all members.

## Public Member Functions

| GLSLGeometryShader (const String &source=String())
virtual const char * | className ()
| Returns the name of the class.

## Detailed Description

Wraps a GLSL geometry shader to be bound to a GLSL program.

See also:
  GLSLProgram, GLSLFragmentShader, GLSLVertexShader, Shader, Effect

## Constructor & Destructor Documentation

vl::GLSLGeometryShader::GLSLGeometryShader | ( | const String & | source = `String()` | ) | `[inline]`

Parameters:

  | source | Geometry shader's source code or path to a text file containing the geometry shader's source code.

## Member Function Documentation

virtual const char* vl::GLSLGeometryShader::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::GLSLShader.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/GLSL.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:35 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.